Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.security.role.visitor
Class VisitorRoleResourceType

    java.lang.Object
      com.bea.portal.tools.resource.ResourceType
          com.bea.portal.tools.security.role.visitor.VisitorRoleResourceType

All Implemented Interfaces
  Serializable

    public final class VisitorRoleResourceType

extends ResourceType

`ResourceType` for a visitor role.

See Also
  Serialized Form

Method Summary
`String` | `getTreeMode()` Overridding ResourceType.getTreeMode() since this resource type convention is different than the default convention
`static VisitorRoleResourceType` | `getVisitorRoleResourceType()` Get the `VisitorRoleResourceType`.

Methods inherited from class com.bea.portal.tools.resource.ResourceType
`equals, equals, getNamespaceURI, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getVisitorRoleResourceType

    public static VisitorRoleResourceType getVisitorRoleResourceType()

  Get the `VisitorRoleResourceType`.

  Returns
    the `VisitorRoleResourceType`

### getTreeMode

    public String getTreeMode()

  Overridding ResourceType.getTreeMode() since this resource type convention is different than the default convention

  Overrides:
    `getTreeMode` in class `ResourceType`
  Returns
    the tree mode of this `ResourceType`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.